commit:     eef0d7ae6d46b82365d7297f933ee9b61860fbf0
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Jan  9 07:16:01 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Jan  9 08:09:42 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eef0d7ae

dev-python/pypdf: Bump to 3.2.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pypdf/Manifest           |  1 +
 dev-python/pypdf/pypdf-3.2.1.ebuild | 62 +++++++++++++++++++++++++++++++++++++
 2 files changed, 63 insertions(+)

diff --git a/dev-python/pypdf/Manifest b/dev-python/pypdf/Manifest
index 7a54a7d699ae..387e556b5023 100644
--- a/dev-python/pypdf/Manifest
+++ b/dev-python/pypdf/Manifest
@@ -1,2 +1,3 @@
 DIST pypdf-3.2.0.gh.tar.gz 6618810 BLAKE2B 
33ade8743339415b58f2397a55972479bdfd6ed87c68ea9cc1c9f05c80210a6265e97f1f26dfc3bd2bd74c6c11ab45d8a3d9ded1b150e96f804f9893c74fb517
 SHA512 
a3db36086733f6bfdfd4e6b56dc976e30c2940362fcf1e8b4c61b3c8d421c870821eb7c5dcbc41e6362f487d474c5d2bcfbe6b9aabd8c496d3a030aa40d1af57
+DIST pypdf-3.2.1.gh.tar.gz 6619758 BLAKE2B 
157d66c86d605aea8d578713e0a8e72966cadcde7884f85af558a9759db5fe1c73c0467237bb185d1f60e02a0979db1edbdadb585e9785c8236e0d1e4a91d7d5
 SHA512 
1117c76b03d5d33c2b619b6e47a6566b0c8e890b96ac558f1b1ab4ef4b7b795934985a3b70abe48cbb756c1df3c7c08c082791b167cdeeaeeed2b9254552d0f9
 DIST pypdf-sample-files-0fe84b30ed33ff3daa9293e44349b8618f135699.gh.tar.gz 
9027166 BLAKE2B 
912bb9fbd632bd0ad2cc2e865a1e6870ad7064aa2cf4d6f96217f63ac685e9a511f0bb20c22d48ae970a2eb171b27a0fa680fa42892425531f69735840cf741b
 SHA512 
07a71a3566dabcea5dc8a549949d0f0c0f9483d5d9f85851d6e4e702dd374b348469a80e5300d18983e560ee9a44d0639b55eb338023b9ebbdb26c6f8c455e07

diff --git a/dev-python/pypdf/pypdf-3.2.1.ebuild 
b/dev-python/pypdf/pypdf-3.2.1.ebuild
new file mode 100644
index 000000000000..14f4890dfa3f
--- /dev/null
+++ b/dev-python/pypdf/pypdf-3.2.1.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+SAMPLE_COMMIT=0fe84b30ed33ff3daa9293e44349b8618f135699
+DESCRIPTION="Python library to work with PDF files"
+HOMEPAGE="
+       https://pypi.org/project/pypdf/
+       https://github.com/py-pdf/pypdf/
+"
+SRC_URI="
+       https://github.com/py-pdf/pypdf/archive/${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+       test? (
+               
https://github.com/py-pdf/sample-files/archive/${SAMPLE_COMMIT}.tar.gz
+                       -> ${PN}-sample-files-${SAMPLE_COMMIT}.gh.tar.gz
+       )
+"
+S=${WORKDIR}/pypdf-${PV}
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+RESTRICT="test"
+# 150+ tests require network, too many to deselect
+PROPERTIES="test_network"
+
+RDEPEND="
+       $(python_gen_cond_dep '
+               dev-python/typing-extensions[${PYTHON_USEDEP}]
+       ' 3.8 3.9)
+"
+BDEPEND="
+       dev-python/pillow[${PYTHON_USEDEP}]
+       test? (
+               dev-python/pycryptodome[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+       # rely on -Werror
+       tests/test_utils.py::test_deprecate_no_replacement
+       tests/test_workflows.py::test_orientations
+       # dead URL
+       # https://github.com/py-pdf/pypdf/issues/1526
+       tests/test_xmp.py::test_issue585
+)
+
+src_unpack() {
+       default
+       if use test; then
+               mv "sample-files-${SAMPLE_COMMIT}"/* "${S}"/sample-files/ || die
+       fi
+}

Reply via email to